zenilib: Zeni::Widget_Renderer_Text Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Widget_Renderer_Text Class Reference

`#include <Widget.h>`

Inherits Zeni::Widget_Render_Function.

Inherited by Zeni::Text_Button.

## Public Member Functions

| Widget_Renderer_Text (const String &font_name_, const String &text_, const Color &color_)
virtual Widget_Renderer_Text * | get_duplicate () const
virtual void | render_to (const Widget &widget)
| rect must be of type Widget_Rectangle More...
Public Member Functions inherited from Zeni::Widget_Render_Function
virtual | ~Widget_Render_Function ()

## Public Attributes

Color | color
String | font_name
String | text

## Detailed Description

Definition at line 336 of file Widget.h.

## Constructor & Destructor Documentation

Zeni::Widget_Renderer_Text::Widget_Renderer_Text | ( | const String & | font_name_,
|  | const String & | text_,
|  | const Color & | color_
| ) |  |

inline

Definition at line 240 of file Widget.hxx.

Referenced by get_duplicate().

## Member Function Documentation

Widget_Renderer_Text * Zeni::Widget_Renderer_Text::get_duplicate | ( |  | ) | const

virtual

Implements Zeni::Widget_Render_Function.

Definition at line 67 of file Widget.cpp.

References Widget_Renderer_Text().

void Zeni::Widget_Renderer_Text::render_to | ( | const Widget & | widget | ) |

virtual

rect must be of type Widget_Rectangle

Implements Zeni::Widget_Render_Function.

Definition at line 53 of file Widget.cpp.

References font_name, Zeni::Widget_Rectangle::get_center(), Zeni::get_Fonts(), Zeni::Font::get_text_height(), Zeni::Font::render_text(), text, Zeni::Point2f::x, Zeni::Point2f::y, and Zeni::ZENI_CENTER.

Referenced by Zeni::Widget_Renderer_Tricolor::render_to().

## Member Data Documentation

Color Zeni::Widget_Renderer_Text::color

Definition at line 347 of file Widget.h.

Referenced by Zeni::Text_Box::get_text_color(), Zeni::Text_Box::render_impl(), Zeni::Widget_Renderer_Tricolor::render_to(), and Zeni::Text_Box::set_text_color().

String Zeni::Widget_Renderer_Text::font_name

Definition at line 345 of file Widget.h.

Referenced by Zeni::Text_Box::get_Font(), Zeni::Text_Box::get_font_name(), render_to(), and Zeni::Text_Box::set_font_name().

String Zeni::Widget_Renderer_Text::text

Definition at line 346 of file Widget.h.

Referenced by Zeni::Text_Box::erase_lines(), Zeni::Text_Box::get_text(), Zeni::Text_Box::on_key(), render_to(), and Zeni::Text_Box::set_text().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.h
- zenilib/jni/external/zenilib/zeni_rest/Widget.cpp
- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.hxx